PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dplrnt | ( | int | M,
|  | int | N,
|  | double * | A,
|  | int | LDA,
|  | unsigned long long int | seed
| ) |  |

PLASMA_dplrnt - Generate a random matrix by tiles.

Parameters

  [in] | M | The number of rows of A.
  [in] | N | The order of the matrix A. N >= 0.
  [out] | A | On exit, The random matrix A generated.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [in] | seed | The seed used in the random generation.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_dplrnt_Tile
  PLASMA_dplrnt_Tile_Async
  PLASMA_cplrnt
  PLASMA_dplrnt
  PLASMA_splrnt
  PLASMA_dplgsy
  PLASMA_dplgsy